﻿using Godot;
using System.Threading;

public class Server : Peer {

    private static PacketPeerUDP PacketPeer;

    public Server(PacketPeerUDP packetPeer) : base(packetPeer) {
        PacketPeer = packetPeer;
    }

    public override void Initialize(string address, int port) {
        StartListening(port, address);
        GD.print("Server initialization finished.");
    }

    public override void ReceivePacket(byte[] buffer, string address, int port) {
        GD.print("Server received stuff from " + address + " : " + port + " :");
        for (int i = 0; i < buffer.Length; i++) {
            GD.print(buffer[i]);
        }
    }

    public override void Update(float delta) {
    }
}